View Issue Details

IDProjectCategoryView StatusLast Update
0016579mantisbtapi soappublic2018-07-20 01:26
Reporterwindy Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product Version1.2.15 
Target VersionFixed in Version 
Summary0016579: Developers are not allowed to reopen a bug when using the SOAP API
Description

In the default configuration, developers may reopen or close resolved bugs. However, this is not possible with the SOAP API which states that the bug is "read-only".

Steps To Reproduce
  1. Create a bug as administrator
  2. Assign it to a developer
  3. Login as developer and change the status to Resolved
  4. Close, Reopen and Resolve the bug with the web interface -> Works
  5. Close, Reopen and Resolve the bug with the SOAP API -> Does not work
TagsNo tags attached.

Activities

chadmiss

chadmiss

2018-02-08 08:42

reporter   ~0058798

It seems like that this bug still exists with MantisBT 2.10

vboctor

vboctor

2018-02-10 16:42

manager   ~0058817

Did you try doing the same via the REST API? You should be to use the PATCH issue API. See http://bit.ly/2mC1Hpy for API documentation. The SOAP API is on a deprecation path.

msmonroe@harmonic-data.com

msmonroe@harmonic-data.com

2018-06-28 19:36

reporter   ~0060192

If I try to move the status of a ticket from closed to feedback using the REST API as a developer, I get a 500 error. If I log in as that user, I'm allowed to reopen the ticket.



Issue History

Date Modified Username Field Change
2013-11-04 08:30 windy New Issue
2013-11-08 05:17 rombert Status new => acknowledged
2013-11-08 05:17 rombert Target Version => 1.2.16
2013-11-08 05:17 rombert Steps to Reproduce Updated View Revisions
2014-01-23 18:01 atrol Target Version 1.2.16 =>
2014-01-23 18:01 atrol Steps to Reproduce Updated View Revisions
2018-02-08 08:42 chadmiss Note Added: 0058798
2018-02-10 16:42 vboctor Note Added: 0058817
2018-06-28 19:36 msmonroe@harmonic-data.com File Added: Screen Shot 2018-06-28 at 18.27.59.png
2018-06-28 19:36 msmonroe@harmonic-data.com Note Added: 0060192
2018-07-20 01:26 vboctor Assigned To => vboctor
2018-07-20 01:26 vboctor Status acknowledged => assigned